<?php
include_once("c_debug_info.php");

class c_page_cab_debug_server_info extends c_page_cab_debug_info
{
  public $h1='Информация по серверу' ;

  function block_main()
  { $this->page_title() ;
    $this->panel_info() ;
  }


  function panel_info()
  {   ?><h2>SERVER</h2><?
      $info=[] ;
      $info['SERVER_ADDR']=$_SERVER['SERVER_ADDR'] ;
      $info['SERVER_PORT']=$_SERVER['SERVER_PORT'] ;
      $info['REMOTE_ADDR']=$_SERVER['REMOTE_ADDR'] ;
      $info['DOCUMENT_ROOT']=$_SERVER['DOCUMENT_ROOT'] ;
      $info['DB_SERVER']=($GLOBALS['current_DB_HOST'])? $GLOBALS['current_DB_HOST']:$GLOBALS['_SETTING']['main_db']['host'];
      $info['DB_NAME']=$GLOBALS['_SETTING']['main_db']['db_name'] ;
      $info['NODE_ID']=_CLUSTER_NODE_ID ;
      damp_array($info,1,-1);
      ?><h2>ОС</h2><?
      $res=ENGINE()->server_get_OS_info() ;
      echo $res ;
      ?><h2>LAMP</h2><?
      $LAMP_info=ENGINE()->server_get_LAMP_info() ;
      damp_array($LAMP_info,1,-1) ;
      ?><h2>Диск</h2><?
      $res=ENGINE()->server_get_disk_free_info() ;
      print_2x_arr($res) ;
      ?><h2>Процессор</h2><?
      $res=ENGINE()->server_get_processor_info() ;
      damp_array($res,1,-1) ;
      ?><h2>Память</h2><?
      $res=ENGINE()->server_get_memory_info() ;
      damp_array($res,1,-1) ;

  }

}



?>